[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

j2sdk build-depends cannot be satisfied?

[I'm cross-posting to debian-java and debian-mentors, because I'm not
sure whether this is a Java question or a packaging question.  Please
CC me on replies, if possible.]

Can anyone suggest why libnbio2-java's build dependency on j2sdk1.3
cannot be satisfied on all 13 platforms?


My QA page:


still lists the package as installable, but I'd like to have my sponsor
for this package upload a new version (2.0-3) soon, and I'm worried that
it won't be built.  Is this a real problem, or am I making a problem out
of something that is no big deal?

I'm developing against Blackdown's 1.3 SDK using this apt source:

   deb http://www.mirror.ac.uk/sites/ftp.blackdown.org/java-linux/debian unstable main non-free

I noticed when test-building libnbio2-java using pdebuild that the
j2sdk1.3 package can't successfully be installed "in the background"
by dpkg, apparently because of the click-through Sun license.  Could
this be the same sort of thing that's causing the problem in the build

Thanks for the help!


Kenneth J. Pronovici <pronovic@ieee.org>
Personal Homepage: http://www.skyjammer.com/~pronovic/
"They that can give up essential liberty to obtain a little 
 temporary safety deserve neither liberty nor safety." 
      - Benjamin Franklin, Historical Review of Pennsylvania, 1759 

Reply to: